package cn.com.qmth.examcloud.core.questions.service.config;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

@Component
public class SysProperty {

//    @Value("${$upyun.site.1.domain}")
//    protected String domain;
//
//    @Value("${$upyun.site.1.bucketName}")
//    protected String bucketName;
//
//    @Value("${$upyun.site.1.userName}")
//    protected String userName;
//
//    @Value("${$upyun.site.1.password}")
//    protected String password;

    @Value("${upyun.uploadUrl}")
    private String uploadPath;

    @Value("${upyun.audio.uploadUrl}")
    private String radioUploadPath;

    @Value("${upyun.radioType}")
    private String radioType;

    @Value("${upyun.audio.maxsize}")
    private String audioMaxsize;

    @Value("${upyun.downloadDirectory}")
    private String downloadDirectory;

    @Value("${upyun.zipDirectory}")
    private String zipDirectory;

    @Value("${question.reduplicate.similarity}")
    private Double reduplicateSimilarity;

//    public String getDomain() {
//        if (domain != null) {
//            return domain.trim();
//        }
//        return "";
//    }
//
//    public void setDomain(String domain) {
//        this.domain = domain;
//    }
//
//    public String getBucketName() {
//        if (bucketName != null) {
//            return bucketName.trim();
//        }
//        return "";
//    }
//
//    public void setBucketName(String bucketName) {
//        this.bucketName = bucketName;
//    }
//
//    public String getUserName() {
//        if (userName != null) {
//            return userName.trim();
//        }
//        return "";
//    }
//
//    public void setUserName(String userName) {
//        this.userName = userName;
//    }
//
//    public String getPassword() {
//        if (password != null) {
//            return password.trim();
//        }
//        return "";
//    }
//
//    public void setPassword(String password) {
//        this.password = password;
//    }

    public String getUploadPath() {
        if (uploadPath != null) {
            return uploadPath.trim();
        }
        return "";
    }

    public void setUploadPath(String uploadPath) {
        this.uploadPath = uploadPath;
    }

    public String getRadioUploadPath() {
        if (radioUploadPath != null) {
            return radioUploadPath.trim();
        }
        return "";
    }

    public void setRadioUploadPath(String radioUploadPath) {
        this.radioUploadPath = radioUploadPath;
    }

    public String getRadioType() {
        if (radioType != null) {
            return radioType.trim();
        }
        return "";
    }

    public void setRadioType(String radioType) {
        this.radioType = radioType;
    }

    public String getAudioMaxsize() {
        if (audioMaxsize != null) {
            return audioMaxsize.trim();
        }
        return "";
    }

    public void setAudioMaxsize(String audioMaxsize) {
        this.audioMaxsize = audioMaxsize;
    }

    public String getDownloadDirectory() {
        if (downloadDirectory != null) {
            return downloadDirectory.trim();
        }
        return "";
    }

    public void setDownloadDirectory(String downloadDirectory) {
        this.downloadDirectory = downloadDirectory;
    }

    public String getZipDirectory() {
        if (zipDirectory != null) {
            return zipDirectory.trim();
        }
        return "";
    }

    public void setZipDirectory(String zipDirectory) {
        this.zipDirectory = zipDirectory;
    }

    public Double getReduplicateSimilarity() {
        return reduplicateSimilarity;
    }

    public void setReduplicateSimilarity(Double reduplicateSimilarity) {
        this.reduplicateSimilarity = reduplicateSimilarity;
    }

}